#{extends 'border.html'/}
<div class="container">
#{form @katalog.PermohonanPembaruanCtr.createHasilKlarifSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.listHasilKlarifikasi(permId)}">&{'hasil_klarifikasi.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'hasil_klarifikasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.listHasilKlarifikasi(permId)/}
                #{saveButton/}
            </div>
            #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" name="hasilKlarif.permohonan_pembaruan_id" value="${permId}">
                    <div class="form-group required">
                        <label class="control-label col-md-3">&{'catatan.label'}</label>
                        <div class="col-md-4">
                            <textarea name="hasilKlarif.deskripsi" class="form-control" rows="10" style="resize: vertical" onkeyup="this.value = this.value.replace(/['~`#$^*|{}]/g, '')" required></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'unggah_file_pendukung.label'}</label>
                        <div class="col-md-4">
                            <input type='file' name="file" id="file" accept=".pdf,.doc,.docx,.xlx,.xlsx,.zip,.jpg,.jpeg" class="form-control"/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-3">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 10 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.pdf|.doc|.docx|.xlx|.xlsx|.zip|.jpg|.jpeg</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 10 MB </span>)
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function () {
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>
<script type="text/javascript">
    $('#file').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("file").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 10;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#file").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
            case 'xlx':
            case 'xlsx':
            case 'zip':
            case 'jpg':
            case 'jpeg':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#file').val('');
        }
    });
</script>
#{/set}